Virtualmin GPL on Debian, php-fpm server-wide is taking precidence over local conf of php-fcgid/cgi-bin

We’ve a server with multi-php versions, available via fastcgi/cgi-bin. PHP is executed generally via php-fpm. Overriding individual site settings via Website Options to run via fast-cgi/cgi-bin isn’t taking effect – php remains executed via server global php-fpm.

Running Webmin 1.932 , virtualmin 6.08, on Debian 9 (stretch).

This is blocking the selection of alternative php versions, which are available and installed, but the server’s only running the main 7.0, not 7.3 etc for this host. Making upgrading site-by-site difficult!